Name:           perl-Kwiki-Users-Remote
Version:        0.04
Release:        5%{?dist}
Summary:        Automatically set Kwiki user name from HTTP authentication
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Kwiki-Users-Remote/
Source0:        http://www.cpan.org/authors/id/I/IA/IAN/Kwiki-Users-Remote-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Kwiki) >= 0.32
BuildRequires:  perl(Kwiki::UserName) >= 0.14
BuildRequires:  perl(Kwiki::Users)
# For improved tests
BuildRequires:  perl(Test::Pod::Coverage) >= 1.04
BuildRequires:  perl(Test::Pod) >= 1.14

Requires:       perl(Kwiki) >= 0.32
Requires:       perl(Kwiki::UserName) >= 0.14
Requires:       perl(Kwiki::Users)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Source98:       Kwiki-Users-Remote-filter-requires.sh
%global real_perl_requires %{__perl_requires}
%define __perl_requires %{_tmppath}/%{name}-%{version}-%{release}-%(%{__id_u} -n)-filter-requires

%description
When using HTTP authentication for your Kwiki, use this module to
automatically set the user's name from the username they logged in with.
This name will appear in any Recent Changes listing.

%prep
%setup -q -n Kwiki-Users-Remote-%{version}

sed -e 's,@@PERL_REQ@@,%{real_perl_requires},' %{SOURCE98} > %{__perl_requires}
chmod +x %{__perl_requires}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
rm -f debug*.list
make test

%clean
rm -rf $RPM_BUILD_ROOT %{__perl_requires}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Wed Jan 09 2008 Ralf Corsépius <rc040203@freenet.de> 0.04-5
- Update License tag.
- BR: perl(Test::More) (BZ 419631).
- BR: perl(Test::Pod), perl(Test::Pod::Coverage).

* Wed Apr 18 2007 Steven Pritchard <steve@kspei.com> 0.04-4
- Use fixperms macro instead of our own chmod incantation.
- BR ExtUtils::MakeMaker.

* Tue Sep 05 2006 Steven Pritchard <steve@kspei.com> 0.04-3
- Fix find option order.
- Improve description and Summary slightly.

* Fri Mar 10 2006 Steven Pritchard <steve@kspei.com> 0.04-2
- Cleanup.

* Mon Feb 27 2006 Steven Pritchard <steve@kspei.com> 0.04-1
- Specfile autogenerated.
- Drop auto-detected explicit BR: perl.
- Improve description.
- Remove debug*.list so "make test" works.
- Filter out perl(mixin) dependency.
